
function [ out ] = djoint( points, band, deriv, order)
	%
    [ nd kd ] = size( points );
	k         = zeros( [ nd kd ] );
	points    = points ./ repmat( band, nd, 1 );

	for ( j = 1 : kd )
		k(:,j) = kernel( points(:,j), deriv(j), band(j), order );
	end
		out = ( nd * prod( band ) ) ^ (-1) * sum( prod( k, 2 ) );
	
end






