function [ out ] = kernel( x, deriv, b, order )
	 
if (order == 4)
            coeff   = (1/2) .* (3 - (x.^2));
            dcoeff  = (1/2) .* (- 2 .* x);
            d2coeff = -1;
            d3coeff = 0;
else
    stop;
end
        
    k    = normpdf( x );
    dk   = (-x) .* normpdf(x);
    d2k  = (x.^2 - 1) .* normpdf(x);
    d3k  = ( 3 .* x - (x.^3)) .* normpdf(x);
    
    if (deriv == 0)
         out = ((-b).^(-deriv)) .* (coeff .* k);
    elseif (deriv == 1)
        out = ((-b).^(-deriv)) .* (dcoeff .* k + coeff .* dk);
    elseif (deriv ==2)
        out = ((-b).^(-deriv)) .* (d2coeff .* k + 2 * dcoeff .* dk + coeff .* d2k);
    elseif (deriv == 3)
        out = ((-b).^(-deriv)) .* (d3coeff .* k + 3 * d2coeff .* dk + 3 * dcoeff .* d2k + coeff * d3k);
    else
        return;
    end;
    
    	
end
